> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe

> Create Stripe checkout session for PA subscription.



## OpenAPI

````yaml /openapi.json post /api/v1/assistant/subscribe
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistant/subscribe:
    post:
      tags:
        - Assistant
      summary: Subscribe
      description: Create Stripe checkout session for PA subscription.
      operationId: subscribe_api_v1_assistant_subscribe_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PASubscriptionCheckoutResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    PASubscriptionCheckoutResponse:
      properties:
        checkout_url:
          type: string
          title: Checkout Url
        session_id:
          type: string
          title: Session Id
      type: object
      required:
        - checkout_url
        - session_id
      title: PASubscriptionCheckoutResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````